"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RecordLockingIsEntryLocked = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _isEntryLocked = require("./graphql/isEntryLocked");
var RecordLockingIsEntryLocked = exports.RecordLockingIsEntryLocked = /*#__PURE__*/function () {
  function RecordLockingIsEntryLocked(params) {
    (0, _classCallCheck2.default)(this, RecordLockingIsEntryLocked);
    this.client = params.client;
  }
  return (0, _createClass2.default)(RecordLockingIsEntryLocked, [{
    key: "execute",
    value: async function execute(params) {
      try {
        var result = await this.client.query({
          query: _isEntryLocked.IS_ENTRY_LOCKED_QUERY,
          variables: params
        });
        return !!result.data.recordLocking.isEntryLocked.data;
      } catch (_unused) {
        return false;
      }
    }
  }]);
}();

//# sourceMappingURL=RecordLockingIsEntryLocked.js.map