import { IRecordLockingUnlockEntryRequest, IRecordLockingUnlockEntryRequestParams, IRecordLockingUnlockEntryRequestResult } from "./abstractions/IRecordLockingUnlockEntryRequest";
import { IRecordLockingClient } from "./abstractions/IRecordLockingClient";
interface Params {
    client: IRecordLockingClient;
}
export declare class RecordLockingUnlockEntryRequest implements IRecordLockingUnlockEntryRequest {
    private readonly client;
    constructor(params: Params);
    execute(params: IRecordLockingUnlockEntryRequestParams): Promise<IRecordLockingUnlockEntryRequestResult>;
}
export {};
